%define pyver 2.5
Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		obexftp
Version:	0.22
Release:	1
Source0:	%{name}-%{version}.tar.bz2
Summary:	OBEX file transfer protocol library
License:	GPL
Group: 		System/Libraries
URL:		http://sourceforge.net/projects/openobex
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	bluez-devel
BuildRequires:	glibc-devel
BuildRequires:  libusb-devel
BuildRequires:  python
BuildRequires:  perl

%description
ObexFTP is a library bundling everything needed for OBEX transfers and exposing it via a simple interface. Quite a number of language bindings are provided using SWIG or other means. There is a sample command line client "obexftp" and a server "obexftpd" included. Besides FTP the ObexFTP library provides access to the PUSH, GOEP and SYNCH services.

%package	devel
Summary:	%{name} development headers.
Group:		System/Libraries
Requires:	%{name} = %{version}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep

%setup -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--sysconfdir=%_sysconfdir \
		--mandir=%_mandir \
		--disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT

find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_libdir/perl5
%exclude /usr/lib/perl5/5.10.0/i686-linux-thread-multi/perllocal.pod
%_libdir/python%{pyver}
%_libdir/ruby/site_ruby/1.8/i686-linux/obexftp.so
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.22-1
- version update
* Tue Oct 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.20-1
- initial package release
